import javax.swing.*;

class Ex1P4
{
   public static void main(String args[])
   {
   try{
   point n=new point(1.0,2.0);
   circle d1=new circle(3.0,n);
   circle d2=new circle(1.0,1.0,1.0);
   String s=n.name()+" "+n.toString()+"\n "+
   d1.name()+" "+d1.toString()+"\n "+
   d2.name()+" "+d2.toString()+"\n ";
   JOptionPane.showMessageDialog(null,s,
     "classes: point circle cylinder protected inheritance test",JOptionPane.PLAIN_MESSAGE);
   }  catch(zero_or_negative_sizeException e1)
   {  JOptionPane.showMessageDialog(null,e1.toString(),"ERROR",JOptionPane.ERROR_MESSAGE);}   
   System.exit(0);
   }
}
